%define dist Gtk2
Name: perl-%dist
Version: 1.082
Release: alt1

Summary: Perl bindings to the gtk+-2.x library
License: LGPL
Group: Development/Perl

URL: http://gtk2-perl.sourceforge.net/
Source: %dist-%version.tar.bz2

Patch1: %name-1.023-mdk-gtk_exit.patch
Patch2: %name-1.023-mdk-set_uposition.patch
Patch3: %name-1.038-mdk-xset_input_focus.patch
Patch4: %name-1.023-mdk-exception-trapping.patch
Patch5: %name-0.95-alt-fix-build.patch
Patch6: %name-1.081-alt-gtk_version.patch

Requires: libgtk+2 >= 2.6 perl-Glib >= %version
BuildPreReq: libgtk+2-devel >= 2.6 perl-Glib-devel >= %version

# Added by buildreq2 on Thu Jun 23 2005
BuildRequires: GConf2 gnome-icon-theme icon-theme-hicolor libgtk+2-devel perl-ExtUtils-Depends perl-ExtUtils-PkgConfig perl-Glib-devel xorg-x11-server xvfb-run

%package devel
Summary: Perl bindings to the gtk+-2.x library (development files)
Group: Development/Perl
Requires: %name = %version-%release
Requires: libgtk+2-devel >= 2.6 perl-Glib-devel >= %version

%description
This module provides perl access to the gtk+-2.x library.
Gtk+ is the GIMP ToolKit (GTK+), a library for creating graphical
user interfaces for the X Window System.  GTK+ was originally written
for the GIMP (GNU Image Manipulation Program) image processing program,
but is now used by several other programs as well.

%description devel
This module provides perl access to the gtk+-2.x library.
Gtk+ is the GIMP ToolKit (GTK+), a library for creating graphical
user interfaces for the X Window System.  GTK+ was originally written
for the GIMP (GNU Image Manipulation Program) image processing program,
but is now used by several other programs as well.

This package contains Gtk2 development files and documentation
for developers (overview of internals and internal API reference).

%prep
%setup -q -n %dist-%version
%patch1
%patch2
%patch3
%patch4
%patch5 -p1
%patch6 -p1

%build
%ifndef _build_display
%def_without test
%endif

EXTRA_BLIBS=%perl_vendor_autolib/Glib/Glib.so
%perl_vendor_build

xvfb-run -a %__make test

%install
%perl_vendor_install

%define pkgdocdir %_docdir/%name-%version
%__mkdir_p %buildroot%pkgdocdir
%__bzip2 -9kf ChangeLog
%__cp -av AUTHORS ChangeLog.bz2 NEWS README TODO gtk-demo examples %buildroot%pkgdocdir

%files
%dir	%pkgdocdir
	%pkgdocdir/AUTHORS
	%pkgdocdir/NEWS
	%pkgdocdir/README
	%perl_vendor_archlib/Gtk2.pm
%dir	%perl_vendor_archlib/Gtk2
%dir	%perl_vendor_archlib/Gtk2/Gdk
	%perl_vendor_archlib/Gtk2/Gdk/Keysyms.pm
	%perl_vendor_archlib/Gtk2/Helper.pm
	%perl_vendor_archlib/Gtk2/Pango.pm
	%perl_vendor_archlib/Gtk2/SimpleList.pm
	%perl_vendor_archlib/Gtk2/SimpleMenu.pm
%dir	%perl_vendor_autolib/Gtk2
	%perl_vendor_autolib/Gtk2/Gtk2.so

%files devel
%dir	%pkgdocdir
	%pkgdocdir/ChangeLog.bz2
	%pkgdocdir/TODO
	%pkgdocdir/gtk-demo
	%pkgdocdir/examples
%dir	%perl_vendor_archlib/Gtk2
	%perl_vendor_archlib/Gtk2/CodeGen.pm
	%perl_vendor_archlib/Gtk2/TestHelper.pm
%doc	%perl_vendor_archlib/Gtk2/*.pod
%dir	%perl_vendor_archlib/Gtk2/Gdk
%doc	%perl_vendor_archlib/Gtk2/Gdk/*.pod
%dir	%perl_vendor_archlib/Gtk2/Gdk/Event
%doc	%perl_vendor_archlib/Gtk2/Gdk/Event/*.pod
%dir	%perl_vendor_archlib/Gtk2/Install
	%perl_vendor_archlib/Gtk2/Install/*
%dir	%perl_vendor_archlib/Gtk2/Pango
%doc	%perl_vendor_archlib/Gtk2/Pango/*.pod

%changelog
* Thu Jun 23 2005 Alexey Tourbin <at@altlinux.ru> 1.082-alt1
- 1.081 -> 1.082
- license: LGPL, not GPL

* Thu Apr 14 2005 Alexey Tourbin <at@altlinux.ru> 1.081-alt1
- 1.080 -> 1.081
- alt-gtk_version.patch: don't warn on gtk_micro_version change

* Mon Mar 21 2005 Alexey Tourbin <at@altlinux.ru> 1.080-alt1
- 1.072 -> 1.080

* Fri Jan 14 2005 Alexey Tourbin <at@altlinux.ru> 1.072-alt1
- 1.061 -> 1.072
- new subpackage: %name-devel
- manual pages not packaged (use perldoc)
- always run tests (by utilizing xvfb-run)
- disabled some tests because of failures under Test::More 0.53

* Wed Oct 06 2004 Alexey Tourbin <at@altlinux.ru> 1.061-alt1
- 1.053 -> 1.061

* Mon Aug 09 2004 Alexey Tourbin <at@altlinux.ru> 1.053-alt1
- 1.042 -> 1.053

* Fri Apr 16 2004 Alexey Tourbin <at@altlinux.ru> 1.042-alt1
- 1.023 -> 1.042, Mandrake patches updated
- skip Test::More dependency

* Wed Feb 18 2004 Alexey Tourbin <at@altlinux.ru> 1.023-alt1
- 1.023
- in sync with 1.023-2mdk

* Tue Oct 14 2003 Alexey Tourbin <at@altlinux.ru> 1.00-alt1
- 1.00

* Thu Aug 28 2003 Alexey Tourbin <at@altlinux.ru> 0.95-alt1
- initial revision; mandrake patches applied
